﻿<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Переменные</title>
</head>

<body>
    <!-- 
Программирование — это работа с данными, но что такое данные?
Данные — это информация, которая хранится в наших компьютерных
программах. Например, ваше имя — это элемент данных, и ваш возраст
тоже. Цвет волос, количество братьев и сестер, ваш адрес и пол — все это
данные.

В JavaScript есть три основных типа данных: числа, строки и булевы
значения. Числа — они и есть числа, тут все понятно. Например, числом
можно выразить возраст или рост. 

Данные необходимо где-то хранить, здесь и появляються переменные в которых
можно хранить все что угодно.
Значениям в JavaScript можно давать имена, используя переменные.
Переменная похожа на ящичек, в который помещается лишь один предмет. Чтобы положить туда что-то еще, прежнее содержимое придется
заменить. -->
    <script>

        // Создаем переменную с именем - 'а' и присваиваем ей значение - 10.
        var a = 10; // type


        var b;
        //
        var c;
        //типы премеменным в javascript указывать не нужно!
        //String s = "hello"; 

        b = "Some string";

        с = 22;
        alert(с);


        a = b;
        alert(a);

    

        //var namename  = "Ivan" +-
        //var name-name  = "Ivan" -
        //var name_name  = "Ivan" +
        //var PameName  = "Ivan" +
        //var 785namename  = "Ivan" -
        //var name name  = "Ivan" -
        //var n7ame5nam4e  = "Ivan" +
        //var namename785  = "Ivan" +
        //var /namename785  = "Ivan" -
        //var -namename785  = "Ivan" -
        //var #namename785  = "Ivan" -
         //var $_namename785  = "Ivan" +



    </script>
</body>

</html>